%define name popa3d
%define version 0.4
%define release 1_with_whoson

Summary: Popa3d is a tiny POP3 daemon, designed with security as the primary goal.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
URL: http://www.openwall.com/popa3d
Source: popa3d-0.4.tar.gz
Patch0: popa3d-whoson-0.1.patch
Distribution: None
Packager: Tomasz Rzad <tomasz@rzad.com>
BuildRoot: /tmp/%{name}-%{version}

%description
Popa3d is a pop3 daemon which attempts to be extremely secure, reliable, RFC compliant and fast.
This version supports whoson (WHO iS ONline) protocol.

%prep
%setup -q
%patch -p1

%build
CFLAGS=$RPM_OPT_FLAGS \
make clean
make CC=gcc

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin


install -s -m 755 popa3d $RPM_BUILD_ROOT/usr/local/sbin/popa3d

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ "$1" = 1 ]
then
        # check that user 'popa3d' exists
        #
        if grep "^popa3d:" /etc/passwd > /dev/null
        then
                true
        else
                useradd -d /dev/null -s /dev/null popa3d
        fi
fi

%postun

if [ "$1" = 0 ]
then
        echo "Consider deleting user 'popa3d' too." 1>&2
fi


%files
%defattr(-,root,root)
/usr/local/sbin/popa3d
